GDatabox::Grid Class Reference

`#include <gtkdataboxmm/grid.h>`

Inheritance diagram for GDatabox::Grid:
[legend]

## Public Member Functions

virtual | ~Grid ()
GtkDataboxGrid* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkDataboxGrid* | gobj () const
| Provides access to the underlying C GObject. More...
GtkDataboxGrid* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
void | set_hlines (int hlines)
| Sets the number of horizontal lines in the grid. More...
int | get_hlines () const
| Gets the number of horizontal lines in the grid. More...
void | set_vlines (int hlines)
| Sets the number of vertical lines in the grid. More...
int | get_vlines () const
| Gets the number of vertical lines in the grid. More...
Glib::PropertyProxy< int > | property_grid_vlines ()
| Number of vertical lines. More...
Glib::PropertyProxy_ReadOnly< int > | property_grid_vlines () const
| Number of vertical lines. More...
Glib::PropertyProxy< int > | property_grid_hlines ()
| Number of horizontal lines. More...
Glib::PropertyProxy_ReadOnly< int > | property_grid_hlines () const
| Number of horizontal lines. More...
Public Member Functions inherited from GDatabox::Graph
virtual | ~Graph ()
GtkDataboxGraph* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkDataboxGraph* | gobj () const
| Provides access to the underlying C GObject. More...
GtkDataboxGraph* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
void | set_hide (bool hide)
| Hidden graphs are not shown, when the Gtk::Databox containing them is redrawn. More...
bool | get_hide ()
| Gets the current "hide" status. More...
void | set_color (const Gdk::Color& color) const
| Sets the color which the Gtk::DataboxGraph object is supposed to be using when drawing itself. More...
void | set_size (int size)
| Sets the size (e.g. line width) which the Gtk::DataboxGraph object is supposed to be using when drawing itself. More...
int | get_size () const
| Gets the size of the graph elements (e.g. the line width). More...
int | calculate_extrema (float& min_x, float& max_x, float& min_y, float& max_y)
| Virtual function which determines the minimum and maximum x and y values of the values of this Gtk::DataboxGraph object if applicable (there are graphs which do not contain data). More...
Glib::PropertyProxy< Gdk::Color > | property_color ()
| Color of graph. More...
Glib::PropertyProxy_ReadOnly< Gdk::Color > | property_color () const
| Color of graph. More...
Glib::PropertyProxy< int > | property_size ()
| Size of displayed items. More...
Glib::PropertyProxy_ReadOnly< int > | property_size () const
| Size of displayed items. More...
Glib::PropertyProxy< bool > | property_hide ()
| Determine if graph is hidden or not. More...
Glib::PropertyProxy_ReadOnly< bool > | property_hide () const
| Determine if graph is hidden or not. More...

## Static Public Member Functions

static Glib::RefPtr< Grid > | create (int hlines, int vlines, const Gdk::Color& color, unsigned int size=1)
static Glib::RefPtr< Grid > | create (int hlines, int vlines, float* hline_vals, float* vline_vals, const Gdk::Color& color, unsigned int size=1)

## Protected Member Functions

| Grid (int hlines, int vlines, const Gdk::Color& color, unsigned int size=1)
| Grid (int hlines, int vlines, float* hline_vals, float* vline_vals, const Gdk::Color& color, unsigned int size=1)
Protected Member Functions inherited from GDatabox::Graph
| Graph ()

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< GDatabox::Grid > | wrap (GtkDataboxGrid* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from GDatabox::Graph
Glib::RefPtr< GDatabox::Graph > | wrap (GtkDataboxGraph* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Constructor & Destructor Documentation

## ~Grid()

virtual GDatabox::Grid::~Grid | ( |  | ) |

virtual

## Grid() [1/2]

GDatabox::Grid::Grid | ( | int | hlines,
|  | int | vlines,
|  | const Gdk::Color & | color,
|  | unsigned int | size = `1`
| ) |  |

protected

## Grid() [2/2]

GDatabox::Grid::Grid | ( | int | hlines,
|  | int | vlines,
|  | float * | hline_vals,
|  | float * | vline_vals,
|  | const Gdk::Color & | color,
|  | unsigned int | size = `1`
| ) |  |

protected

## Member Function Documentation

## create() [1/2]

static Glib::RefPtr<Grid> GDatabox::Grid::create | ( | int | hlines,
|  | int | vlines,
|  | const Gdk::Color & | color,
|  | unsigned int | size = `1`
| ) |  |

static

## create() [2/2]

static Glib::RefPtr<Grid> GDatabox::Grid::create | ( | int | hlines,
|  | int | vlines,
|  | float * | hline_vals,
|  | float * | vline_vals,
|  | const Gdk::Color & | color,
|  | unsigned int | size = `1`
| ) |  |

static

## get_hlines()

int GDatabox::Grid::get_hlines | ( |  | ) | const

Gets the number of horizontal lines in the grid.

Returns
  Number of horizontal lines in the grid.

## get_vlines()

int GDatabox::Grid::get_vlines | ( |  | ) | const

Gets the number of vertical lines in the grid.

Returns
  Number of vertical lines in the grid.

## gobj() [1/2]

GtkDataboxGrid* GDatabox::Grid::gobj | ( |  | ) |

inline

Provides access to the underlying C GObject.

## gobj() [2/2]

const GtkDataboxGrid* GDatabox::Grid::gobj | ( |  | ) | const

inline

Provides access to the underlying C GObject.

## gobj_copy()

GtkDataboxGrid* GDatabox::Grid::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## property_grid_hlines() [1/2]

Glib::PropertyProxy< int > GDatabox::Grid::property_grid_hlines | ( |  | ) |

Number of horizontal lines.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## property_grid_hlines() [2/2]

Glib::PropertyProxy_ReadOnly< int > GDatabox::Grid::property_grid_hlines | ( |  | ) | const

Number of horizontal lines.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## property_grid_vlines() [1/2]

Glib::PropertyProxy< int > GDatabox::Grid::property_grid_vlines | ( |  | ) |

Number of vertical lines.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## property_grid_vlines() [2/2]

Glib::PropertyProxy_ReadOnly< int > GDatabox::Grid::property_grid_vlines | ( |  | ) | const

Number of vertical lines.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## set_hlines()

void GDatabox::Grid::set_hlines | ( | int | hlines | ) |

Sets the number of horizontal lines in the grid.

Parameters

  hlines | Number of vertical lines in the grid.

## set_vlines()

void GDatabox::Grid::set_vlines | ( | int | hlines | ) |

Sets the number of vertical lines in the grid.

Parameters

  vlines | Number of vertical lines in the grid.

## Friends And Related Function Documentation

## wrap()

Glib::RefPtr< GDatabox::Grid > wrap | ( | GtkDataboxGrid * | object,
|  | bool | take_copy = `false`
| ) |  |

related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkdataboxmm/grid.h